Docs
Add Intake Question
POST /intakeForms/{formId}/questions
POST
/intakeForms/{formId}/questionsAdds a question at the end of an intake form. The question text must not be empty. The type (for example Select, Text, Number, Date or Checkbox) cannot be changed afterwards. Only Select and MultiSelect questions take options (Events_AddIntakeQuestionOption). Needs an organization admin token. Returns the new question id.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| formId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| label | string | Optional | |
| questionText | string | Optional | |
| type | string | Optional | |
| isRequired | boolean | Optional |
Response
Type: uuid